Foreman - Feature #6854

foreman api status is restricted for admin only
07/31/2014 04:10 AM - Martin Ducar

Status: Closed
Priority: Normal
Assignee: Ondrej Prazak
Category: API
Target version: 1.9.1
Difficulty: easy Fixed in Releases:
Triaged: Found in Releases: 1.5.1
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/2557
Description

Libraries for foreman api handling like https://pypi.python.org/pypi/python-foreman use /api/status url to determine which foreman
version is installed, which in my opinion is quite good behaviour. But foreman requires admin rights to access such information, if you
are trying to script this as normal user, this is not possible. | couldn't come up with any reasonable way why it should be restricted
only to admin. Please elaborate, why is it the case or please fix it that this restriction in not present. Or that you can configure the
rights. Thank you

Associated revisions

Revision 7267e023 - 07/20/2015 11:47 AM - Ondfej Prazak

Fixes #6854 - Api status allowed for all users

Revision 14ce02a9 - 09/09/2015 10:49 AM - Ondfej Prazak

Fixes #6854 - Api status allowed for all users

(cherry picked from commit 7267e023e6db34db8ebb3ba59f4be4b8d0e07624)

History

#1 - 12/09/2014 09:07 AM - Will Foster

We've hit some situations where having /api/status improperly restricted to admin is causing some issues with general usage for non-admin users.
Would love to see this fixed.

The file that maps permissions to URLs is app/services/foreman/access_permissions.rb and it just needs a new section.
You'd also need to add the permission name in db/seeds.d/03-permissions.rb.
| will take a stab at this when | find some time.

#2 - 12/09/2014 09:10 AM - Dominic Cleal
- Difficulty set to easy

#3 - 07/20/2015 10:51 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2557 added
- Pull request deleted ()

#4 - 07/20/2015 12:01 PM - Ondrej Prazak
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 7267e023e6db34db8ebb3ba59f4be4b8d0e07624.

#5 - 07/21/2015 03:16 AM - Dominic Cleal

- Assignee set to Ondrej Prazak
- translation missing: en.field_release set to 72
